%define src_ver 0.50.4
%define bugfix_ver 1
Name: aspell
Version: %src_ver
Release: alt2

Summary: An Open Source interactive spelling checker program
License: GPL
Group: Text tools
Url: http://%name.net/

Source: http://ftp.gnu.org/gnu/%name/%name-%version.%bugfix_ver.tar.gz
Source100: cp1251.dat
Source101: %name-ispell.alternatives

BuildRequires: gcc-c++ libltdl-devel libncurses-devel libstdc++-devel libtinfo-devel

%description
GNU Aspell is a spell checker designed to eventually replace Ispell.
It can either be used as a library or as an independent spell checker.
Its main feature is that it does a much better job of coming up with
possible suggestions than just about any other spell checker out there
for the English language, including Ispell and Microsoft Word. It
also has many other technical enhancements over Ispell such as using
shared memory for dictionaries and intelligently handling personal
dictionaries when more than one Aspell process is open at once.

%package -n %name-ispell
Summary: Spell and Ispell compatibility scripts for Aspell.
Group: Text tools
PreReq: alternatives >= 0.0.6
BuildRequires: libalternatives-devel
Requires: %name = %version
Provides: ispell
Obsoletes: pspell-ispell

%package -n lib%name
Summary: Shared libraries required for %name-based software
Group: System/Libraries
Provides: libpspell
Obsoletes: libpspell


%package -n lib%name-devel
Summary: Development files needed to build applications with %name
Group: Development/C
Requires: lib%name = %version

%package -n lib%name-devel-static
Summary: Static library needed to build static applications with %name
Group: Development/C
Requires: lib%name-devel = %version

%description -n lib%name
Shared libraries required for %name-based software.

%description -n %name-ispell
Two simple scripts: Spell and Ispell compatibility scripts for Aspell.

%description -n lib%name-devel
Development files needed to build applications with %name.

%description -n lib%name-devel-static
Static library needed to build statically linked applications with %name.

%prep
%setup -q -n %name-%src_ver.%bugfix_ver

%build
%undefine __libtoolize
%configure --enable-static
%make

%install
%make_install DESTDIR=$RPM_BUILD_ROOT install
cp %SOURCE100 $RPM_BUILD_ROOT%{_datadir}/%name
ln -sf cp1251.dat $RPM_BUILD_ROOT%{_datadir}/%name/windows-1251.dat 
mv $RPM_BUILD_ROOT%{_datadir}/%name/ispell $RPM_BUILD_ROOT%{_bindir}/%name-ispell 
mv $RPM_BUILD_ROOT%{_datadir}/%name/spell $RPM_BUILD_ROOT%{_bindir}/%name-spell 
install -d $RPM_BUILD_ROOT%_altdir
install -p -m 644 %SOURCE101 $RPM_BUILD_ROOT%_altdir/%name-ispell

%post -n lib%name -p /sbin/ldconfig
%postun -n lib%name -p /sbin/ldconfig

%post -n %name-ispell 
%register_alternatives %name-ispell -- ispell

%preun -n %name-ispell
%unregister_alternatives %name-ispell


%files -n lib%name
%_libdir/*.so.*

%files -n lib%name-devel
%_libdir/*.so
%_libdir/*.la
%_includedir/*

%files -n lib%name-devel-static
%_libdir/*.a

%files -n %name-ispell
%_altdir/%name-ispell
%_bindir/%name-ispell
%_bindir/%name-spell

%files
%doc README TODO
%_bindir/aspell
%_bindir/aspell-import
%_bindir/pspell-config
%_bindir/run-with-aspell
%_bindir/word-list-compress
%_datadir/%name

%changelog
* Mon Nov 10 2003 Vital Khilko <vk@altlinux.ru> 0.50.4-alt2
- add alternatives to aspell-ispell package

* Mon Oct 20 2003 Vital Khilko <vk@altlinux.ru> 0.50.4-alt1
- new version
- fixed part one of bug #613714 and a hack to sort of fix part two
- added cp1251 support
- fix provides

* Mon Sep 15 2003 Vital Khilko <vk@altlinux.ru> 0.50.3-alt1
- new version
- pspell merged with aspell
- move en, en_CA, en_GB dictionaries to separate package

* Wed Sep 18 2002 AEN <aen@altlinux.ru> 0.33.7.1-alt1
- rebuild with fixed pspell

* Fri Aug 17 2001 AEN <aen@logic.ru> 0.33.7-alt1
- new version 
* Wed Jun 13 2001 AEN <aen@logic.ru> 0.33.6.3-alt1
- rebuilt with libpspell-.12.2

* Mon May 07 2001 Dmitry V. Levin <ldv@altlinux.ru> 0.32.5-ipl5mdk
- Libification.
- Built with pspell-0.11.2-ipl8mdk

* Fri Jan 12 2001 AEN <aen@logic.ru>
- RE adaptations

* Fri Nov 17 2000 David BAUDENS <baudens@mandrakesoft.com> 0.32.5-3mdk
- Fix Requires and BuildRequires

* Wed Sep 20 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.32.5-2mdk
- Provides pwli files (Thanks Michael Reinsch)

* Fri Aug 25 2000 Troels Liebe Bentsen 0.32.5-1mdk
- Updated to new version.
- Added packages en, en_CA, en_GB

* Thu Aug 24 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.32.1-1mdk
- release 0.32.1 (merge from helix 0_helix_1)
- BM + macroszification

* Thu Jan 27 2000 Lenny Cartier <lenny@mandrakesoft.com> 28.3-1mdk
- v28.3

* Fri Aug 27 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- initial spec
